import java.util.List;

import com.syjy.FileUtils;
import com.syjy.MyReadConfigFile;
import com.syjy.TunnelBuilder;
import com.syjy.container.ProtocolDataContainer;
import com.syjy.container.RecurringTaskContainer;
import com.syjy.http.HttpServer;
import com.syjy.tunnelinfo.BaseTunnelInfo;

/**
 * @author: xiuwei
 * @version:
 */
public class StartPro2File {

    public static void main(String[] args) throws Exception {

        List<BaseTunnelInfo> tunnels = MyReadConfigFile.readConfigFile();
        for (BaseTunnelInfo tunnelInfo : tunnels) {
            System.out.println(tunnelInfo.getClass().getSimpleName());
            TunnelBuilder.buildTunnel(tunnelInfo).startTunnel();
        }
        RecurringTaskContainer.getInstance().addRecurringTask(10, "打印实时数据入文件", () -> {
            FileUtils.write2File(FileUtils.getResourcesPath(), "realTimeData.log", ProtocolDataContainer.getInstance().toStringFormatted());
            return null;
        });

        HttpServer httpServer = new HttpServer(8999);
        httpServer.start();

    }
}
